
%global meadversion 0.33.7
%global namedversion 0.33.7.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 2

%bcond_without mead

%define maven_version 0.33.7.redhat-2

Name:           jboss-aesh
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        AEsh
License:        EPL
Group:          Development/Java

%if %with mead
Source100: aesh-0.33.7.redhat-2-scm-sources.zip
Source101: aesh-0.33.7.redhat-2-patches.zip
Source102: aesh-0.33.7.redhat-2-javadoc.jar
Source103: aesh-0.33.7.redhat-2.pom
Source104: aesh-0.33.7.redhat-2.jar
Source105: aesh-0.33.7.redhat-2-sources.jar
Source106: aesh-0.33.7.redhat-2-tests.jar
%endif

URL:            https://github.com/aesh/aesh
# XXX: To match the artifactId and version in pom.xml
Provides:       aesh = %{epoch}:%{version}-%{release}
Provides:       aesh = %{namedversion}
#
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
# FIXME: this is really required (for building), but we do not ship it with EAP 6
Requires:       jboss-parent >= 0:10
%endif
%if 0
# FIXME: the scope of this is wrong and it's not needed on non-Windows os
Requires:       jansi >= 0:1.9
BuildRequires:  jansi >= 0:1.9
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/aesh-%{namedversion}-%{release}-root

%description
AEsh (Another Extendable SHell).

%prep
%setup -q -n aesh -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/aesh-%{namedversion}.jar %{buildroot}%{_javadir}/aesh-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/aesh-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/aesh-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/aesh-%{namedversion}-sources.jar %{buildroot}%{_javadir}/aesh-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/aesh-%{namedversion}-tests.jar %{buildroot}%{_javadir}/aesh-%{namedversion}-tests.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/aesh-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-aesh.pom

# depmaps
%add_to_maven_depmap org.jboss.aesh aesh %{namedversion} JPP aesh
[ %{name} = "aesh" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/aesh

# docs
%{__mkdir_p} %{buildroot}%{_docdir}/aesh-%{namedversion}
%{__cp} -p license.txt README.md %{buildroot}%{_docdir}/aesh-%{namedversion}
%{__ln_s} aesh-%{namedversion} %{buildroot}%{_docdir}/aesh

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/aesh-%{namedversion}
%doc %{_docdir}/aesh
%{_javadir}/aesh-%{namedversion}.jar
%{_javadir}/aesh.jar
%exclude %{_javadir}/aesh-%{namedversion}-javadoc.jar
%exclude %{_javadir}/aesh-javadoc.jar
%{_javadir}/aesh-%{namedversion}-sources.jar
%{_javadir}/aesh-sources.jar
%exclude %{_javadir}/aesh-%{namedversion}-tests.jar
%exclude %{_javadir}/aesh-tests.jar
%{_mavenpomdir}/JPP-aesh.pom
%{_mavendepmapfragdir}/aesh

%changelog
* Fri Aug 09 2013 Yong Yang <yyang@redhat.com> 0:0.33.7-1_redhat_1
- Create a patch to upgrade source from 0.33.6 to 0.33.7 temporarily for now because the failure of git push to git.app

* Tue Jul 23 2013 Vladimir Dosoudil <dosoudil@redhat.com> 0:0.33.6-1_redhat_1
- Upgrade to 0.33.6

* Wed Apr 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> 0:0.33.3-1_redhat_1
- Upgrade to 0.33.3

* Wed Mar 27 2013 Vladimir Dosoudil <dosoudil@redhat.com> 0:0.33.1-1_redhat_1
- Upgrade to 0.33.1

* Mon Mar 04 2013 David Walluck <dwalluck@redhat.com> 0:0.33-4
- update sources

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 0:0.33-3
- exclude javadoc and tests jars

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 0:0.33-2
- remove Requires: jboss-parent

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 0:0.33-1
- release
